## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege
Class PrivilegesTreeViewerInput

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesTreeViewerInput

All Implemented Interfaces:
  IPrivilegesTreeViewerInput

    public class PrivilegesTreeViewerInput

extends java.lang.Object
implements IPrivilegesTreeViewerInput

A default implementation for privileges tree viewer's input.

Three folder nodes are defined:

        Grantee
         |
         |---Users
         |
         |---Groups
         |
         |---Roles (optional)

Author:
  Idull

Constructor Summary
`PrivilegesTreeViewerInput(ISchemaObjectEditModel model)` All the authorization identifiers
`PrivilegesTreeViewerInput(ISchemaObjectEditModel model, boolean supportRole)` All the authorization identifiers

Method Summary
`FolderNode` `getGranteeFolder()`
`FolderNode` `getGroupsFolder()`
`FolderNode` `getRolesFolder()`
`FolderNode` `getRoot()` Returns the root node of the tree
`FolderNode` `getUsersFolder()`
`void` `refresh()` Refreshes the input due to model change

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivilegesTreeViewerInput

    public PrivilegesTreeViewerInput(ISchemaObjectEditModel model)

  All the authorization identifiers

  Parameters:
    `authids` -

### PrivilegesTreeViewerInput

    public PrivilegesTreeViewerInput(ISchemaObjectEditModel model,
                                     boolean supportRole)

  All the authorization identifiers

  Parameters:
    `authids` -

Method Detail

### getRoot

    public FolderNode getRoot()

  Description copied from interface: `IPrivilegesTreeViewerInput`
  Returns the root node of the tree

  Specified by:
    `getRoot` in interface `IPrivilegesTreeViewerInput`
  Returns:

### getGranteeFolder

    public FolderNode getGranteeFolder()

### getGroupsFolder

    public FolderNode getGroupsFolder()

### getRolesFolder

    public FolderNode getRolesFolder()

### getUsersFolder

    public FolderNode getUsersFolder()

### refresh

    public void refresh()

  Description copied from interface: `IPrivilegesTreeViewerInput`
  Refreshes the input due to model change

  Specified by:
    `refresh` in interface `IPrivilegesTreeViewerInput`